<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$theme->header($params);
?>
<script language="javascript" type="text/javascript" src="/datetimepicker.js">
</script>
<p>
	<strong><?php echo $Lang->getText('TrackerQuery.Edit'); ?></strong>
</p>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('TrackerQueryEditAction') ?>" method="post">
	<input type="hidden" name="tracker_id" value="<?php echo $_REQUEST['tracker_id']; ?>" />
	<input type="hidden" name="tracker_query_id" value="<?php echo $_REQUEST['tracker_query_id']; ?>" />
	<table border="0">
		<?php echo $tefr->renderFields('QUERY',null,$tq,$_POST); ?>
		<tr>
			<td colspan="2"><strong><?php echo $Lang->getText('TrackerQuery.LastModifiedDateRange'); ?></strong><br />
			<input id="moddatestart" name="moddatestart" type="text" size="11" maxlength="11" value="<?php echo $moddatestart; ?>"/><a href="javascript:NewCal('moddatestart','MMMddyyyy')"><img src="/themes/gforge5/images/cal.gif" width="16" height="16" border="0" alt="Pick a date"/></a>
			<input id="moddateend" name="moddateend" type="text" size="11" maxlength="11" value="<?php echo $moddateend; ?>"/><a href="javascript:NewCal('moddateend','MMMddyyyy')"><img src="/themes/gforge5/images/cal.gif" width="16" height="16" border="0" alt="Pick a date"/></a>
			</td>
		</tr>
		<tr>
			<td colspan="2"><strong><?php echo $Lang->getText('TrackerQuery.OpenDateRange'); ?></strong><br />
			<input id="opendatestart" name="opendatestart" type="text" size="11" maxlength="11" value="<?php echo $opendatestart; ?>"/><a href="javascript:NewCal('opendatestart','MMMddyyyy')"><img src="/themes/gforge5/images/cal.gif" width="16" height="16" border="0" alt="Pick a date"/></a>
			<input id="opendateend" name="opendateend" type="text" size="11" maxlength="11" value="<?php echo $opendateend; ?>"/><a href="javascript:NewCal('opendateend','MMMddyyyy')"><img src="/themes/gforge5/images/cal.gif" width="16" height="16" border="0" alt="Pick a date"/></a>
			</td>
		</tr>
		<tr>
			<td colspan="2"><strong><?php echo $Lang->getText('TrackerQuery.CloseDateRange'); ?></strong><br />
			<input id="closedatestart" name="closedatestart" type="text" size="11" maxlength="11" value="<?php echo $closedatestart; ?>"/><a href="javascript:NewCal('closedatestart','MMMddyyyy')"><img src="/themes/gforge5/images/cal.gif" width="16" height="16" border="0" alt="Pick a date"/></a>
			<input id="closedateend" name="closedateend" type="text" size="11" maxlength="11" value="<?php echo $closedateend; ?>"/><a href="javascript:NewCal('closedateend','MMMddyyyy')"><img src="/themes/gforge5/images/cal.gif" width="16" height="16" border="0" alt="Pick a date"/></a>
			</td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('Tracker.SortCol'); ?></strong><br />
			<?php echo HTMLWidget::selectBoxFromAssoc($tq->getAvailableSortColumns(),'sortcol',$sortcol,false,false); ?>
			</td>
			<td><strong><?php echo $Lang->getText('Tracker.SortOrd'); ?></strong><br />
			<?php echo HTMLWidget::selectBoxFromAssoc($tq->getAvailableSortOrd(),'sortord',$sortord,false,false); ?>
			</td>
		</tr>
<?php if ($Tracker->userIsAdmin()) { ?>
		<tr>
			<td colspan="2"><strong><?php echo $Lang->getText('TrackerQuery.IsShared'); ?></strong><br />
			<input type="checkbox" value="t" name="is_shared" <?php echo (($is_shared) ? 'checked="checked"' : ''); ?>/>
			</td>
		</tr>
<?php } ?>
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerQuery.QueryNameName'); ?></strong><br />
			<input type="text" name="query_name" value="<?php echo $query_name; ?>" /></td>
			<td align="center">
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.edit') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Back') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->projectURL(GFUrl::getUrl()->getProject(),'TrackerQueryBrowse','tracker','',array('tracker_id' => $Tracker->getTrackerId())) . "'; ")?>
			</td>
		</tr>
	</table>
</form>
<?php
$theme->footer($params);
?>
