<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Julian Yerfino jyerfino@gforgegroup.org
 * @date 
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
?>
<script language="javascript" type="text/javascript" src="/datetimepicker.js">
</script>
<p>
	<strong><?php echo $Lang->getText('Report.EditStep4'); ?></strong>
</p>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('ReportSave') ?>" method="post" name='useradd'>
	<input type="hidden" name="report_id" value="<?php echo $report_id; ?>" />
	
	<?php 
	foreach($_REQUEST['projects_selected'] as $k => $f) {
		echo "<input type='hidden' name='projects_selected[$k]' value='$f' />\n";
	}
	foreach($_REQUEST['trackers_selected'] as $k => $f) {
		echo "<input type='hidden' name='trackers_selected[$k]' value='$f' />\n";
	}
	foreach($_REQUEST['extrafields_filter'] as $k => $f) {
		echo "<input type='hidden' name='extrafields_filter[$k]' value='$f' />\n";
	}
	foreach($_REQUEST['extrafields_display'] as $k => $f) {
		echo "<input type='hidden' name='extrafields_display[$k]' value='$f' />\n";
	}
	?>
	
	<table border="0" cellspacing="0" cellpadding="3" >
		<tr>
			<td><strong><?php echo $Lang->getText('Report.ReportName');?>:</strong><br />
			<input name='report_name' type='text' size='20' value='<?php echo $report_name; ?>'/></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('Report.OpenDateStart');?>:</strong><br />
			<input id='open_date_start' name='open_date_start' type='text' size='11' maxlength='11' value='<?php echo $open_date_start; ?>'/><a href="javascript:NewCal('open_date_start','MMMddyyyy')"><img src='/themes/gforge5/images/cal.gif' width='16' height='16' border='0' alt='Pick a date'/></a></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('Report.OpenDateEnd');?>:</strong><br />
			<input id='open_date_end' name='open_date_end' type='text' size='11' maxlength='11' value='<?php echo $open_date_end; ?>'/><a href="javascript:NewCal('open_date_end','MMMddyyyy')"><img src='/themes/gforge5/images/cal.gif' width='16' height='16' border='0' alt='Pick a date'/></a></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('Report.CloseDateStart');?>:</strong><br />
			<input id='close_date_start' name='close_date_start' type='text' size='11' maxlength='11' value='<?php echo $close_date_start; ?>'/><a href="javascript:NewCal('close_date_start','MMMddyyyy')"><img src='/themes/gforge5/images/cal.gif' width='16' height='16' border='0' alt='Pick a date'/></a></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('Report.CloseDateEnd');?>:</strong><br />
			<input id='close_date_end' name='close_date_end' type='text' size='11' maxlength='11' value='<?php echo $close_date_end; ?>'/><a href="javascript:NewCal('close_date_end','MMMddyyyy')"><img src='/themes/gforge5/images/cal.gif' width='16' height='16' border='0' alt='Pick a date'/></a></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('Report.RowSortColumn');?></strong><br />
			<?php echo HTMLWidget::selectBoxFromAssoc($extrafields_display, 'row_sort_column', $rowSortColumn, false, false); ?></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('Report.RowSortOrder');?></strong><br />
				<input type='radio' name='row_sort_ascdesc' value='asc' <?php if($rowSortOrder) echo "checked='checked'" ?> /> Asc<br>
				<input type='radio' name='row_sort_ascdesc' value='desc' <?php if(!$rowSortOrder) echo "checked='checked'" ?> /> Desc<br>
			</td>
		</tr>
		<?php
			foreach($extrafields_values as $efname => $data) 
			{
				$displayName = $efname;
				switch($data['type']){
					case MyReport::FIELDTYPE_ASSIGNEES:
						$displayName = $data['displayName'];
						echo "<tr><td><strong>$displayName</strong><br />\n";
						echo HTMLWidget::multiSelectFromAssoc("extrafields_values_selected[$efname][]",$data['values'], $extrafields_values_selected[$efname],'',true);
						break;
						
					case MyReport::FIELDTYPE_PRIORITY:
						$displayName = $data['displayName'];
					case TrackerExtraField::TYPE_MEMBERS:
						//Multiselect members field
					case TrackerExtraField::TYPE_SELECT:
						// Multiselect field
					case TrackerExtraField::TYPE_CHECKBOX:
						// Checkbox
					case TrackerExtraField::TYPE_RADIO:
						// Radio
					case TrackerExtraField::TYPE_MULTISELECT:
						// Multiselect
					case TrackerExtraField::TYPE_STATUS:
						// Status field
					case TrackerExtraField::TYPE_RELEASE:
						echo "<tr><td><strong>$displayName</strong><br />\n";
						echo HTMLWidget::multiSelectFromAssoc("extrafields_values_selected[$efname][]",$data['values'], $extrafields_values_selected[$efname],'',false);
						break;
					
					case MyReport::FIELDTYPE_DETAILS:
					case MyReport::FIELDTYPE_SUMMARY:
						$displayName = $data['displayName'];
					case TrackerExtraField::TYPE_TEXT:
						// Text box
					case TrackerExtraField::TYPE_TEXTAREA:
						// Text Area
						echo "<tr><td><strong>$displayName</strong><br />\n";
						echo "<input name='extrafields_values_selected[$efname][value]' type='text' size='20' value='" . $extrafields_values_selected[$efname] ."'/>  \n";
						break;
					

					case TrackerExtraField::TYPE_DATE:
						echo "<tr><td><strong>$displayName</strong><br />\n";
						echo "<input id='extrafields_values_selected_${efname}_min' name='extrafields_values_selected[$efname][min]' type='text' size='11' maxlength='11' value='" . $extrafields_values_selected[$efname]['min'] . "'/><a href=\"javascript:NewCal('extrafields_values_selected_${efname}_min','MMMddyyyy')\"><img src='/themes/gforge5/images/cal.gif' width='16' height='16' border='0' alt='Pick a date'/></a>\n";
						echo "<input id='extrafields_values_selected_${efname}_max' name='extrafields_values_selected[$efname][max]' type='text' size='11' maxlength='11' value='" . $extrafields_values_selected[$efname]['max'] . "'/><a href=\"javascript:NewCal('extrafields_values_selected_${efname}_max','MMMddyyyy')\"><img src='/themes/gforge5/images/cal.gif' width='16' height='16' border='0' alt='Pick a date'/></a>\n";
						break;
					case TrackerExtraField::TYPE_SERIAL:	
					case TrackerExtraField::TYPE_NUMERIC:
						// Numeric field
						echo "<tr><td><strong>$displayName</strong><br />\n";
						echo $Lang->getText('Report.MinValue'). ": <input name='extrafields_values_selected[$efname][min]' type='text' size='5' maxlength='11' value='" . $extrafields_values_selected[$efname]['min'] ."'/>  \n";
						echo $Lang->getText('Report.MaxValue'). ": <input name='extrafields_values_selected[$efname][max]' type='text' size='5' maxlength='11' value='" . $extrafields_values_selected[$efname]['max'] ."'/>\n";
						break;
				}
				echo "</td></tr>";
			}
		?>
		<tr>
			<td><strong><?php echo $Lang->getText('Report.Share');?></strong><br />
			<input name='report_shared' type='checkbox' <?php echo $report_shared ? 'checked':''; ?> value='1'/></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('Report.Users');?>:</strong><br />
				<input type="text" size="60" name="share_users" value="<?php echo $users_selected; ?>" /><?php echo '<a href="javascript::void(0);" onclick="popup(\''.GFUrl::getUrl()->baseURL('findusers', '', 'admin/popups', array('search' => 'user_0', 'type' => 'user','js_accumulate_users'=>'1','words'=>'')).'\', \'300\', \'200\');">'.Language::getSessText('ProjectAdmin.PopupAddUser').'</a>';?>
			</td>
		</tr>
		<tr>
			<td align="center">
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('Report.Save') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Back') . " ","cancel","","javascript:history.go(-1);")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->currentBaseURL('',array()) . "'; ")?>
			</td>
		</tr>
	</table>
</form>

