<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for TrackerItemMessage
//
require_once('plugins/tracker/lib/TrackerItemMessagePeer.php');
require_once('plugins/tracker/lib/TrackerItemMessage.php');

$c = new Criteria();
$c->add(TrackerItemMessagePeer::TRACKER_ITEM_ID, $TrackerItem->getTrackerItemId());
$c->addAscendingOrderByColumn(TrackerItemMessagePeer::ADDDATE);
$arr = TrackerItemMessagePeer::doSelectJoinUser($c);

//$arr = $TrackerItem->getTrackerItemMessagesJoinUser();

$theader = array();
$theader[] = $Lang->getText('TrackerItemMessage.BodyName');
echo $theme->tableTop($theader);
if (count($arr) < 1) {
	echo $theme->tableFullRow($Lang->getText('TrackerItemMessage.NoneFound'));
} else {
	foreach ($arr as $item) {
		$trow = array();
		$trow[] = '<pre>'.$Lang->getText('TrackerItemMessage.SubmittedByName').': '.$item->getUser()->getUserLink().'
'.$Lang->getText('TrackerItemMessage.AdddateName').': '.$item->getAdddate().'
'.SystemUtils::makeUrlsClickable(wordwrap($item->getBody(),80)).'</pre>';
		echo $theme->tableRow($trow, array(), true);
	}
}
echo $theme->tableBottom();

$body=((isset($_POST['body'])) ? htmlspecialchars($_POST['body']) : '' );

if (Session::getSession()->isLoggedIn()) {
	include('forms/TrackerItemMessageAdd-tpl.php');
}
?>
